Details

    • Type: Feature Request
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.1.0.GA
    • Component/s: None
    • Labels:
      None

      Description

      Add a maven profile where we can override the standard dependencies and instead specify those of an AS version into which PojoCache will be integrated. Makes it simple to compile with the altered dependencies and run the testsuite to check for any incompatibilities.

      Example:

      <profile>
      <id>JBossAS</id>
      <activation>
      <activeByDefault>false</activeByDefault>
      </activation>
      <properties>
      <jbosscache-pojo-version>2.1.0.CR3-JBossAS</jbosscache-pojo-version>
      <jbosscache-core-version>2.1.0.CR3-JBossAS</jbosscache-core-version>
      </properties>
      <dependencies>
      <dependency>
      <groupId>org.jboss.aop</groupId>
      <artifactId>jboss-aop</artifactId>
      <version>2.0.0.CR7</version>
      </dependency>
      <dependency>
      <groupId>org.jboss.microcontainer</groupId>
      <artifactId>jboss-container</artifactId>
      <version>2.0.0.Beta4</version>
      <scope>runtime</scope>
      </dependency>
      </dependencies>
      </profile>

      Note I change the jbosscache-core-version property, which causes a dependency on a core cache version specially built from an analogous profile in the core cache pom.xml. See JBCACHE-1290.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  galder.zamarreno Galder ZamarreƱo
                  Reporter:
                  brian.stansberry Brian Stansberry
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  0 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: